package de.hszg.fei.optionMenuBeispiel;

import de.hszg.fei.optionMenuBeispiel.R;
import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;

public class ActivityB4 extends Activity {
	
	private final static int MENUITEM_ABOUT = Menu.FIRST;
	private final static int MENUITEM_HELP = Menu.FIRST + 1;
	
	private final static int DIALOG_ABOUT = 1;
	private final static int DIALOG_HELP = 2;
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    }
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
    	MenuItem menuitem;
    	
    	super.onCreateOptionsMenu(menu);
    	
    	menuitem = menu.add(0, MENUITEM_ABOUT, Menu.NONE, R.string.about);
    	menuitem.setIcon(R.drawable.about24);
    	menuitem = menu.add(0, MENUITEM_HELP, Menu.NONE, R.string.help);
    	menuitem.setIcon(R.drawable.help24);
    	
    	return true;
    }
    
    @Override
    public boolean onPrepareOptionsMenu(Menu menu) {
    	return super.onPrepareOptionsMenu(menu);
    }
    
    @Override
    public boolean onOptionsItemSelected(MenuItem menuItem) {
    	switch ( menuItem.getItemId() ) {
    	case MENUITEM_ABOUT :
    		showDialog(DIALOG_ABOUT);
    		return true;
    	case MENUITEM_HELP :
    		showDialog(DIALOG_HELP);
    		return true;
    	}
    	
    	return super.onOptionsItemSelected(menuItem);
    }
    
    @Override
    public Dialog onCreateDialog(int id) {
    	AlertDialog.Builder db;
    	
    	switch ( id ) {
    	case DIALOG_ABOUT :
    		db = new AlertDialog.Builder(this);
    		db.setTitle("About");
    		db.setMessage("Ich bin ein Dialog :-)");
    		db.setIcon(R.drawable.icon);
    		db.setPositiveButton("OK", new DialogInterface.OnClickListener() {
    			public void onClick(DialogInterface dialog, int id) {
    				/* do nothing */
    			}
    		});
    		
    		return db.create();
    	case DIALOG_HELP :
    		db = new AlertDialog.Builder(this);
    		db.setTitle("Help");
    		db.setMessage("Hier kommt der Hilfetext rein :-)");
    		db.setIcon(R.drawable.icon);
    		db.setPositiveButton("OK", new DialogInterface.OnClickListener() {
    			public void onClick(DialogInterface dialog, int id) {
    				/* do nothing */
    			}
    		});
    		
    		return db.create();
    	}
    	
    	return super.onCreateDialog(id);
    }
    
    @Override
    public void onPrepareDialog(int id, Dialog dialog) {
    	/* nothing to prepare */
    }
}